diff --git a/libavformat/mpegtsenc.c b/libavformat/mpegtsenc.c
index a4a32e0..e30478c 100644
--- a/libavformat/mpegtsenc.c
+++ b/libavformat/mpegtsenc.c
@@ -653,8 +653,7 @@ static int mpegts_write_header(AVFormatContext *s)
             service->pcr_pid = ts_st->pid;
             pcr_st = st;
         }
-        if (st->codec->codec_id == AV_CODEC_ID_AAC &&
-            st->codec->extradata_size > 0)
+        if (st->codec->codec_id == AV_CODEC_ID_AAC)
         {
             AVStream *ast;
             ts_st->amux = avformat_alloc_context();
